import { createApp } from "vue";
import PickWorkflowVue from 'ChillMainAssets/vuejs/_components/EntityWorkflow/PickWorkflow.vue';
import ListWorkflowVue from 'ChillMainAssets/vuejs/_components/EntityWorkflow/ListWorkflow.vue';

// pick workflow
document.querySelectorAll('[data-pick-workflow]')
    .forEach(function(el) {
        const app = {
            components: {
                PickWorkflowVue
            },
            template:
                '<pick-workflow-vue ' +
                    ':relatedEntityClass="relatedEntityClass" ' +
                    ':relatedEntityId="relatedEntityId" ' +
                    ':workflowsAvailables="workflowsAvailables" ' +
                '></pick-workflow-vue>',
            data() {
                return {
                    relatedEntityClass: el.dataset.relatedEntityClass,
                    relatedEntityId: Number.parseInt(el.dataset.relatedEntityId),
                    workflowsAvailables: JSON.parse(el.dataset.workflowsAvailables),
                }
            }
        };
        createApp(app).mount(el);
    })
;

// list workflow
document.querySelectorAll('[data-list-workflows]')
    .forEach(function (el) {
        const app = {
            components: {
                ListWorkflowVue,
            },
            template:
                '<list-workflow-vue ' +
                    ':workflows="workflows" ' +
                '></list-workflow-vue>',
            data() {
                return {
                    workflows: JSON.parse(el.dataset.workflows),
                }
            }
        };
        createApp(app).mount(el);
    })
;