<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\PersonBundle\Repository\AccompanyingPeriod;

use Chill\PersonBundle\Entity\AccompanyingPeriod\AccompanyingPeriodWorkEvaluation;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\EntityRepository;
use Doctrine\Persistence\ObjectRepository;

class AccompanyingPeriodWorkEvaluationRepository implements ObjectRepository
{
    private EntityRepository $repository;

    public function __construct(EntityManagerInterface $entityManager)
    {
        $this->repository = $entityManager->getRepository(AccompanyingPeriodWorkEvaluation::class);
    }

    public function find($id): ?AccompanyingPeriodWorkEvaluation
    {
        return $this->repository->find($id);
    }

    /**
     * @return array|AccompanyingPeriodWorkEvaluation[]
     */
    public function findAll(): array
    {
        return $this->repository->findAll();
    }

    /**
     * @param null|mixed $limit
     * @param null|mixed $offset
     *
     * @return array|AccompanyingPeriodWorkEvaluation[]
     */
    public function findBy(array $criteria, ?array $orderBy = null, $limit = null, $offset = null): array
    {
        return $this->repository->findBy($criteria, $orderBy, $limit, $offset);
    }

    public function findOneBy(array $criteria): ?AccompanyingPeriodWorkEvaluation
    {
        return $this->findOneBy($criteria);
    }

    public function getClassName()
    {
        return AccompanyingPeriodWorkEvaluation::class;
    }
}
